Bug 447074 - yum says package erased when package isn't
yum says package erased when package isn't
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
9
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-17 12:41 EDT by Zing
Modified: 2014-01-21 18:03 EST (History)
5 users (show)

See Also:
Fixed In Version: yum-3.2.18-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-07 15:58:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zing 2008-05-17 12:41:33 EDT
Description of problem:
similar to bug 186945, except this case is on removal:

# yum remove avahi-0.6.17-1.fc7.i386
Loaded plugins: changelog, downloadonly
Setting up Remove Process
Resolving Dependencies
--> Running transaction check
---> Package avahi.i386 0:0.6.17-1.fc7 set to be erased
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Removing:
 avahi                   i386       0.6.17-1.fc7     installed         688 k

Transaction Summary
=============================================================================
Install      0 Package(s)         
Update       0 Package(s)         
Remove       1 Package(s)         

Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Erasing   : avahi                        ######################### [1/1] 

Removed: avahi.i386 0:0.6.17-1.fc7
Complete!
# rpm -q avahi-0.6.17-1.fc7.i386
avahi-0.6.17-1.fc7.i386
# rpm -e avahi-0.6.17-1.fc7.i386
error: %postun(avahi-0.6.17-1.fc7.i386) scriptlet failed, exit status 1

Version-Release number of selected component (if applicable):
yum-3.2.14-10.fc9.noarch
rpm-4.4.2.3-2.fc9.x86_64

How reproducible:
always

Steps to Reproduce:
1. find a package that fails on erasure.
2. yum remove <package>
  
Actual results:
yum says package has been erased.  It hasn't.

Expected results:
some type of error message that erasure has failed.
Comment 1 James Antill 2008-08-07 15:58:58 EDT
 We've added code to do all we can on scriplet errors. I think this kind of problem not returns an error exit code.

Note You need to log in before you can comment on or make changes to this bug.